Package Details: qianxin-browser-stable 1.0.45398.7-2

Git Clone URL: https://aur.archlinux.org/qianxin-browser-stable.git (read-only, click to copy)
Package Base: qianxin-browser-stable
Description: 奇安信可信浏览器国密开发者专版
Upstream URL: https://www.qianxin.com/product/detail/pid/333
Keywords: browser qax qianxin 奇安信
Licenses: LicenseRef-custom
Conflicts: qaxbrowser, qaxbrowser-safe, qianxin-browser
Submitter: zxp19821005
Maintainer: zxp19821005
Last Packager: zxp19821005
Votes: 1
Popularity: 0.000171
First Submitted: 2023-02-13 05:30 (UTC)
Last Updated: 2024-03-04 10:59 (UTC)

Latest Comments

zxp19821005 commented on 2023-08-15 03:21 (UTC) (edited on 2023-08-15 03:23 (UTC) by zxp19821005)

进入浏览器官网页面,点击联系客服,结果跳转到了一个打不开的网址。奇安信可信浏览器国密开发者专版这个页面里面也没有任何说明。我手头没有优麒麟、深度,要不然可以测试一下。

zxp19821005 commented on 2023-08-15 03:12 (UTC) (edited on 2023-08-15 03:16 (UTC) by zxp19821005)

@XianZongzi deb包里的qsign-c.datqsign-d.dat确实像是国密功能授权文件,但是看了下control.tar.gz解压出来的几个脚本,都没有这两个文件的安装位置的说明。 我尝试将其安装到软件根目录和/var/lib/qianxin.com/qaxbrowser,依然报错。 尝试使用strings命令来查看/opt/qianxin.com/qaxbrowser/qaxbrowser,在第23518行和23519行找到了这两个文件,但是没有路径。

XianZongzi commented on 2023-08-15 02:39 (UTC)

点击“确定”后 国密SSL通信 功能不能使用,显示“国密功能授权已过期”。

我看 deb包 里面还有其他文件,是不是这些文件没安装导致的?

zxp19821005 commented on 2023-08-15 01:10 (UTC)

@XianZongzi 命令行下没有关于授权文件的报错信息:

$ /opt/qianxin.com/qaxbrowser/qaxbrowser 
[28286:28303:0815/090723.600208:ERROR:browser:account_bookmark_backup_list.cc(45)] [AccBK]Account bookmark backup list init error.
[28286:28286:0815/090723.610853:ERROR:browser:browser_main_loop.cc(275)] GLib-GObject: g_object_get_is_valid_property: object class 'GtkSettings' has no property named 'gtk-application-prefer-dark-theme'

点击“确定”后,可以正常使用,所以建议先忽略吧。或者看有没有其他的高手能够帮助一起解决一下?

XianZongzi commented on 2023-08-14 23:31 (UTC)

软件启动后显示“授权文件已损坏,如已获取授权,请重新安装”,这个怎么解决?